> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truvec.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pipeline Options

> The search modes and rerankers you can use in a run's `pipeline`, with the rerankers' prices.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/evaluations/pipeline-options
openapi: 3.1.0
info:
  title: Truvec API
  description: API for the TruVec embedding evaluation platform
  version: 1.0.0
servers:
  - url: https://app.truvec.dev
    description: Truvec
security: []
paths:
  /api/v1/evaluations/pipeline-options:
    get:
      tags:
        - evaluations
      summary: Get Pipeline Options
      description: >-
        The search modes and rerankers you can use in a run's `pipeline`, with
        the rerankers' prices.
      operationId: get_pipeline_options_api_v1_evaluations_pipeline_options_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
      security:
        - OAuth2PasswordBearer: []
components:
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: api/auth/login

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.